
Dashboard - Feature #24274

Feature # 39478 (New): mgr/dashboard: new RGW workflows & RGW enhancements

Tasks # 50326 (New): mgr/dashboard: Policies

mgr/dashboard: Add support managing RGW user policies and roles

05/24/2018 10:04 AM - Lenz Grimmer

Status: New % Done: 0%

Priority: Normal   

Assignee:    

Category: Component - RGW   

Target version:    

Source:  Reviewed:  

Tags:  Affected Versions:  

Backport:  Pull request ID:  

Description

Pull request #21379 added User Policy management functionality to the object gateway's REST API.

It would probably make sense to extend the RGW management capabilities of the dashboard to support theses policies and roles as

well. Unfortunately there currently is no documentation about this feature.

History

#1 - 07/02/2018 11:29 AM - Lenz Grimmer

- Assignee deleted (Lenz Grimmer)

#2 - 09/12/2018 11:06 AM - Lenz Grimmer

- Description updated

- Category changed from 132 to 143

#3 - 09/12/2018 02:53 PM - Lenz Grimmer

The corresponding documentation for Amazon S3 might be a good first start Using Bucket Policies and User Policies

#4 - 10/23/2018 01:18 PM - Lenz Grimmer

Pull request that will add the corresponding documentation to the Ceph Manual: https://github.com/ceph/ceph/pull/24714

#5 - 03/21/2019 08:58 AM - Alfonso Martínez

- Assignee set to Alfonso Martínez

#6 - 04/10/2019 07:08 AM - Alfonso Martínez

- Assignee deleted (Alfonso Martínez)

#7 - 04/25/2019 11:08 AM - Alfonso Martínez

- Parent task set to #39478

#8 - 03/31/2020 10:30 AM - Lenz Grimmer

- Tags set to feature-gap, rgw, management, administration

- Tags deleted (dashboard)

#9 - 04/13/2021 12:07 PM - Ernesto Puerta

- Parent task changed from #39478 to #50326
https://github.com/ceph/ceph/pull/21379/
https://docs.aws.amazon.com/AmazonS3/latest/dev/using-iam-policies.html
https://github.com/ceph/ceph/pull/24714


#10 - 04/15/2021 04:59 PM - Ernesto Puerta

- Project changed from mgr to Dashboard

- Category changed from 143 to Component - RGW
